Public Member Functions | List of all members
clan::AudioDefinition Class Reference

`#include <audio_definition.h>`

## Public Member Functions
| AudioDefinition ()
float | get_attenuation_begin () const
float | get_attenuation_end () const
std::string | get_sound_id () const
float | get_volume () const
bool | is_ambience () const
bool | is_looping () const
bool | is_null () const
void | set_ambience (bool ambience)
void | set_attenuation_begin (float distance)
void | set_attenuation_end (float distance)
void | set_looping (bool loop)
void | set_sound_id (const std::string &id)
void | set_volume (float volume)

## Constructor & Destructor Documentation

clan::AudioDefinition::AudioDefinition | ( |  | ) |

## Member Function Documentation

float clan::AudioDefinition::get_attenuation_begin | ( |  | ) | const

float clan::AudioDefinition::get_attenuation_end | ( |  | ) | const

std::string clan::AudioDefinition::get_sound_id | ( |  | ) | const

float clan::AudioDefinition::get_volume | ( |  | ) | const

bool clan::AudioDefinition::is_ambience | ( |  | ) | const

bool clan::AudioDefinition::is_looping | ( |  | ) | const

bool clan::AudioDefinition::is_null | ( |  | ) | const
| inline

void clan::AudioDefinition::set_ambience | ( | bool | ambience | ) |

void clan::AudioDefinition::set_attenuation_begin | ( | float | distance | ) |

void clan::AudioDefinition::set_attenuation_end | ( | float | distance | ) |

void clan::AudioDefinition::set_looping | ( | bool | loop | ) |

void clan::AudioDefinition::set_sound_id | ( | const std::string & | id | ) |

void clan::AudioDefinition::set_volume | ( | float | volume | ) |

The documentation for this class was generated from the following file:

- audio_definition.h